# gmt_API_example
Examples for using GMT's C_API

## What's GMT?
The Generic Mapping Tools (GMT) are widely used across the Earth, Ocean, and Planetary sciences and beyond. A diverse community uses GMT to process data, generate publication-quality illustrations, automate workflows, and make animations. Scientific journals, posters at meetings, Wikipedia pages, and many more publications display illustrations made by GMT. And the best part: it is free, open source software licensed under the [LGPL](https://www.gnu.org/licenses/lgpl-3.0.html).

For those who wants to know more, please go to [GMT_site](https://www.generic-mapping-tools.org).

## What are these examples?

* **griding**: call a GMT module to griding a table data.
* **plot_grid**: read a grid file and call GMT modules to plot the grid to an image file.
* **plot_memory**: create a GMT grid container and call GMT modules to plot the grid to an image file.

## How to run the examples?

Compile the executables and then run sequentially.

```shell
mkdir build && cd build && cmake .. && make
```

